curl "https://api.okrapdf.com/v1/documents/doc-abc123/entities/tables/0?format=csv" \
-H "Authorization: Bearer okra_YOUR_KEY"
Entities
Get Table
Retrieve a specific table by index in multiple formats.
GET
/
v1
/
documents
/
{id}
/
entities
/
tables
/
{index}
curl "https://api.okrapdf.com/v1/documents/doc-abc123/entities/tables/0?format=csv" \
-H "Authorization: Bearer okra_YOUR_KEY"
Overview
Returns a specific table from the document. Use theformat query parameter to choose the output format.
Multiple formats. Use the
format query parameter to get the table as json, csv, html, or markdown.Request
curl "https://api.okrapdf.com/v1/documents/doc-abc123/entities/tables/0?format=csv" \
-H "Authorization: Bearer okra_YOUR_KEY"
Response (200)
Response content type varies by format. Forjson:
{
"type": "table",
"value": "| Header 1 | Header 2 |\n|---|---|\n| A | B |"
}